Subject: bug#42518: closed (Re: [bug#42518] [PATCH] gnu: emacs-writeroom: Update to 3.10.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Jul 2020 09:51:03 +0000

Your bug report

#42518: [PATCH] gnu: emacs-writeroom: Update to 3.10.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42518: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42518
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42518] [PATCH] gnu: emacs-writeroom: Update to 3.10.
From: Oleg Pykhalov <[email-masked]>
To: Michael Rohleder <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Jul 2020 12:49:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Rohleder <[email-masked]> writes:

> From f5c5d622aaf58bc485f73568513998cda35a8d2e Mon Sep 17 00:00:00 2001
> From: Michael Rohleder <[email-masked]>
> Date: Fri, 24 Jul 2020 13:46:39 +0200
> Subject: [PATCH] gnu: emacs-writeroom: Update to 3.10.
>
> * gnu/packages/emacs-xyz.scm (emacs-writeroom): Update to 3.10.
> ---
>  gnu/packages/emacs-xyz.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
[…]

Pushed to master.

Oleg.

Subject: [PATCH] gnu: emacs-writeroom: Update to 3.10.
From: Michael Rohleder <[email-masked]>
To: [email-masked]
Date: Fri, 24 Jul 2020 13:50:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

From f5c5d622aaf58bc485f73568513998cda35a8d2e Mon Sep 17 00:00:00 2001
From: Michael Rohleder <[email-masked]>
Date: Fri, 24 Jul 2020 13:46:39 +0200
Subject: [PATCH] gnu: emacs-writeroom: Update to 3.10.

* gnu/packages/emacs-xyz.scm (emacs-writeroom): Update to 3.10.
---
 gnu/packages/emacs-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index d997360c8c..aa20c5dd9a 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -8083,7 +8083,7 @@ window edge.")
 (define-public emacs-writeroom
   (package
     (name "emacs-writeroom")
-    (version "3.9")
+    (version "3.10")
     (source
      (origin
        (method git-fetch)
@@ -8093,7 +8093,7 @@ window edge.")
        (file-name (git-file-name name version))
        (sha256
         (base32
-         "1nrppnfqsaki6myp58w8jhmzb94rzskh5n98glcn4ghr8sqnafi8"))))
+         "0la4q2dm123l4rdfh0ry03b99ihvh324y7iw12az909198bcx335"))))
     (build-system emacs-build-system)
     (propagated-inputs
      `(("emacs-visual-fill-column" ,emacs-visual-fill-column)))
-- 
2.27.0

-- 
In short, I think gcc should be fixed, or at the very least it should be a
_documented_ bug at which point I have no gripe with fixing it in the
kernel. But I refuse to work around undocumented bugs - that starts to
smell too much like microsoft, and then I might as well start using
Windows myself. 
                Linus